Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Class CounterMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.monitor.Monitor
              javax.management.monitor.CounterMonitor

All Implemented Interfaces:
  CounterMonitorMBean, MBeanRegistration, MonitorMBean, NotificationBroadcaster, NotificationEmitter

public class CounterMonitor
extends Monitor
implements CounterMonitorMBean

The counter monitor service.

Revisions:

20020319 Adrian Brock:

- Reset the threshold when the value becomes negative in difference mode

20020326 Adrian Brock:

- The spec says the modulus should be *strictly* exceeded. It appears from testing the RI, it is a mathematical definition of modulus. e.g. 10 exceeds a modulus of 10

Version:
  $Revision: 1.12 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class javax.management.monitor.Monitor
`alreadyNotified, alreadyNotifieds, capacityIncrement, dbgTag, elementCount, OBSERVED_ATTRIBUTE_ERROR_NOTIFIED, OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED, OBSERVED_OBJECT_ERROR_NOTIFIED, RESET_FLAGS_ALREADY_NOTIFIED, RUNTIME_ERROR_NOTIFIED, server`

Constructor Summary
`CounterMonitor()` Default Constructor

Method Summary
`Number` | `getDerivedGauge()` Retrieves the derived gauge.
`Number` | `getDerivedGauge(ObjectName name)` Retrieves the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Retrieves the derived gauge timestamp.
`long` | `getDerivedGaugeTimeStamp(ObjectName name)` Retrieves the derived gauge timestamp.
`boolean` | `getDifferenceMode()` Retrieves the difference mode flag.
`Number` | `getInitThreshold()` Retrieves the initial threshold.
`Number` | `getModulus()` Retrieves the modulus.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns the notification metadata associated with the MBean.
`boolean` | `getNotify()` Retrieves the notify on/off switch.
`Number` | `getOffset()` Retrieves the offset.
`Number` | `getThreshold()` Retrieves the threshold.
`Number` | `getThreshold(ObjectName name)` Retrieves the threshold.
`void` | `setDifferenceMode(boolean value)` Sets the difference mode flag.
`void` | `setInitThreshold(Number threshold)` Sets the initial threshold.
`void` | `setModulus(Number value)` Sets the modulus.
`void` | `setNotify(boolean value)` Sets the notify on/off switch.
`void` | `setOffset(Number value)` Sets the offset.
`void` | `setThreshold(Number value)` Sets the threshold.
`void` | `start()` Starts the monitor.
`void` | `stop()` Stops the monitor.

Methods inherited from class javax.management.monitor.Monitor
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, postDeregister, postRegister, preDeregister, preRegister, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, toString`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject`

Constructor Detail

### CounterMonitor

    public CounterMonitor()

  Default Constructor

Method Detail

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Description copied from interface: `NotificationBroadcaster`
  Returns the notification metadata associated with the MBean.

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  Overrides:
    `getNotificationInfo` in class `NotificationBroadcasterSupport`

### getDerivedGauge

    public Number getDerivedGauge()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the derived gauge.

  Specified by:
    `getDerivedGauge` in interface `CounterMonitorMBean`
  Returns:
    the derived gauge.

### getDerivedGauge

    public Number getDerivedGauge(ObjectName name)

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the derived gauge.

  Specified by:
    `getDerivedGauge` in interface `CounterMonitorMBean`
  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the derived gauge timestamp.

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `CounterMonitorMBean`
  Returns:
    the derived gauge timestamp.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName name)

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the derived gauge timestamp.

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `CounterMonitorMBean`
  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge timestamp.

### getDifferenceMode

    public boolean getDifferenceMode()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the difference mode flag.

  Specified by:
    `getDifferenceMode` in interface `CounterMonitorMBean`
  Returns:
    true when in difference mode, false otherwise.

### setDifferenceMode

    public void setDifferenceMode(boolean value)

  Description copied from interface: `CounterMonitorMBean`
  Sets the difference mode flag.

  Specified by:
    `setDifferenceMode` in interface `CounterMonitorMBean`
  Parameters:
    `value` - pass true for difference mode, false otherwise.

### getInitThreshold

    public Number getInitThreshold()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the initial threshold.

  Specified by:
    `getInitThreshold` in interface `CounterMonitorMBean`
  Returns:
    the initial threshold.

### setInitThreshold

    public void setInitThreshold(Number threshold)
                          throws IllegalArgumentException

  Description copied from interface: `CounterMonitorMBean`
  Sets the initial threshold.

  Specified by:
    `setInitThreshold` in interface `CounterMonitorMBean`
  Parameters:
    `threshold` - the initial threshold.
  Throws:
    `IllegalArgumentException`

### getModulus

    public Number getModulus()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the modulus.

  Specified by:
    `getModulus` in interface `CounterMonitorMBean`
  Returns:
    the modulus value, zero means no modulus.

### setModulus

    public void setModulus(Number value)
                    throws IllegalArgumentException

  Description copied from interface: `CounterMonitorMBean`
  Sets the modulus.

  Specified by:
    `setModulus` in interface `CounterMonitorMBean`
  Parameters:
    `value` - the modulus value, pass zero for no modulus.
  Throws:
    `IllegalArgumentException` - when the modulus is null or less than zero.

### getNotify

    public boolean getNotify()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the notify on/off switch.

  Specified by:
    `getNotify` in interface `CounterMonitorMBean`
  Returns:
    true if notifications occur, false otherwise.

### setNotify

    public void setNotify(boolean value)

  Description copied from interface: `CounterMonitorMBean`
  Sets the notify on/off switch.

  Specified by:
    `setNotify` in interface `CounterMonitorMBean`
  Parameters:
    `value` - pass true notifications, false otherwise.

### getOffset

    public Number getOffset()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the offset.

  Specified by:
    `getOffset` in interface `CounterMonitorMBean`
  Returns:
    the offset value, zero means no offset.

### setOffset

    public void setOffset(Number value)
                   throws IllegalArgumentException

  Description copied from interface: `CounterMonitorMBean`
  Sets the offset.

  Specified by:
    `setOffset` in interface `CounterMonitorMBean`
  Parameters:
    `value` - the offset value, pass zero for no offset.
  Throws:
    `IllegalArgumentException` - when the offset is null or less than zero.

### getThreshold

    public Number getThreshold()

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the threshold.

  Specified by:
    `getThreshold` in interface `CounterMonitorMBean`
  Returns:
    the threshold.

### getThreshold

    public Number getThreshold(ObjectName name)

  Description copied from interface: `CounterMonitorMBean`
  Retrieves the threshold.

  Specified by:
    `getThreshold` in interface `CounterMonitorMBean`
  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the threshold.

### setThreshold

    public void setThreshold(Number value)
                      throws IllegalArgumentException

  Description copied from interface: `CounterMonitorMBean`
  Sets the threshold.

  Specified by:
    `setThreshold` in interface `CounterMonitorMBean`
  Parameters:
    `value` - the threshold value, pass zero for no threshold.
  Throws:
    `IllegalArgumentException` - when the threshold is null or less than zero.

### start

    public void start()

  Description copied from interface: `MonitorMBean`
  Starts the monitor.

  Specified by:
    `start` in interface `MonitorMBean`
  Specified by:
    `start` in class `Monitor`

### stop

    public void stop()

  Description copied from interface: `MonitorMBean`
  Stops the monitor.

  Specified by:
    `stop` in interface `MonitorMBean`
  Specified by:
    `stop` in class `Monitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.